
//
//  VankeResponse.m
//  vanke
//
//  Created by xiaomi on 15/10/5.
//  Copyright © 2015年 gomore. All rights reserved.
//

#import "VankeResponse.h"

#pragma mark -

@implementation VankeResponse

@synthesize success;
@synthesize message;

+(id) initWith: (BOOL) ok message: (NSString*) message {
    VankeResponse *obj = [[self alloc] init];
    obj.success = ok ? @"1": @"0";
    obj.message = message;
    return obj;
}

-(BOOL) isOk {
    return [@"1" eq: self.success];
}

-(BOOL) isNotOk {
    return ![self isOk];
}

@end
